## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate imagequant

Name:           rust-imagequant
Version:        4.2.0
Release:        %autorelease
Summary:        Convert 24/32-bit images to 8-bit palette with alpha channel

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/imagequant
Source:         %{crates_source}
# lodepng is only needed for benchmarking,
# so we don't actually need it here
Patch:          remove-benchmark-dep.patch
BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Convert 24/32-bit images to 8-bit palette with alpha channel. For lossy
PNG compression and high-quality GIF images Dual-licensed like pngquant.
See https://pngquant.org for details.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+_internal_c_ffi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+_internal_c_ffi-devel %{_description}

This package contains library source intended for building other packages which
use the "_internal_c_ffi" feature of the "%{crate}" crate.

%files       -n %{name}+_internal_c_ffi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+large_palettes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+large_palettes-devel %{_description}

This package contains library source intended for building other packages which
use the "large_palettes" feature of the "%{crate}" crate.

%files       -n %{name}+large_palettes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+threads-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+threads-devel %{_description}

This package contains library source intended for building other packages which
use the "threads" feature of the "%{crate}" crate.

%files       -n %{name}+threads-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 02 2023 blinxen <h-k-81@hotmail.com> - 4.2.0-1
- Update to version 4.2.0

* Fri Mar 10 2023 blinxen <h-k-81@hotmail.com> - 4.1.1-1
- Update to version 4.1.1

* Thu Feb 23 2023 blinxen <h-k-81@hotmail.com> - 4.1.0-1
- Initial package
